# Magento 2 Module FiloBlu AdyenErrorNotificationHandler

    filoblu/mod2-adyen-error-notification-handler

 - [Main Functionalities](#markdown-header-main-functionalities)
 - [Configuration](#markdown-header-configuration)
 - [Specifications](#markdown-header-specifications)


## Main Functionalities

Customize error messages when a payment fails based on the error code returned by adyen


## Configuration

 - Enable (adyen_error_notification_handler/general/error_notification_enabled)

 - Error message (adyen_error_notification_handler/general/error_notification_messages)


## Specifications

 - This module needs the "adyen_dispatch_event_for_error_notification_message.patch" patch applied to the mod2-adyen module of the project to works properly.

 - To use the custom messages, the "Error message" section needs a JSON.
   The array structure to encode in JSON must be:
   


	array(
		'lang' => array(
			'error_code' => 'Text in lang',
   			'error_code2' => 'Text in lang'
		)
	);


   Example:

 	array(
		'it' => array(
			'24' => 'CVC code sbagliato! Controllare e riprovare!',
			'12' => 'Fondi insufficienti!'
		),
		'en' => array(
			'24' => 'CVC code wrong! Check and try again!',
			'12' => 'Insufficient funds!'
		),
		'fr' => array(
			'24' => 'Code CVC incorrect! Vérifiez et réessayez!',
			'12' => 'Fonds insuffisants!'
		),
		'de' => array(
			'24' => 'CVC-Code falsch! Überprüfen Sie und versuchen Sie es erneut!',
			'12' => 'Unzureichende Mittel!'
		)
    );


   To manage the error message for the transactions placed with 3ds code V1, needs to use the custom error code "3dv1". Example:

 	array(
		'it' => array(
			'3dv1' => 'Message translation'
		)
 	);
